package com.mortals.xhx.module.dept.web;

import com.mortals.framework.model.Context;
import com.mortals.framework.web.BasePhpCRUDJsonMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.dept.model.DeptEntity;
import com.mortals.xhx.module.dept.service.DeptService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * 部门
 *
 * @author zxfei
 * @date 2022-01-20
 */
@RestController
@RequestMapping("dept")
public class DeptController extends BasePhpCRUDJsonMappingController<DeptService, DeptForm, DeptEntity, Long> {

    @Autowired
    private ParamService paramService;

    public DeptController() {
        super.setFormClass(DeptForm.class);
        super.setModuleDesc("部门");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "isAutotable", paramService.getParamBySecondOrganize("Dept", "isAutotable"));
        this.addDict(model, "isOrder", paramService.getParamBySecondOrganize("Dept", "isOrder"));
        this.addDict(model, "isBkb", paramService.getParamBySecondOrganize("Dept", "isBkb"));
        this.addDict(model, "isWorkGuide", paramService.getParamBySecondOrganize("Dept", "isWorkGuide"));
        this.addDict(model, "usValid", paramService.getParamBySecondOrganize("Dept", "usValid"));
        this.addDict(model, "isSecphone", paramService.getParamBySecondOrganize("Dept", "isSecphone"));
        this.addDict(model, "isEnglish", paramService.getParamBySecondOrganize("Dept", "isEnglish"));
        super.init(model, context);
    }

}